package database.eventData.integration.enums;

import lombok.AllArgsConstructor;

@AllArgsConstructor
public enum SettlementDataType {

    //ALL GENERATABLE
    REIMBURSEMENT("REIMBURSEMENT"),
    RECALLVOUCHER("RECALLVOUCHER"),
    RECALLINVOICE("RECALLINVOICE"),
    PETTYCASH("PETTYCASH"),
    PENALTY("PENALTY"),
    INVOICES("INVOICES"),
    RECALLPAYOUTS("RECALLPAYOUTS"),
    RECALLADVANCE("RECALLADVANCE"),
    RECEIVABLE("RECEIVABLE"),
    INVOICERAISED("INVOICERAISED"),
    ADVANCE("ADVANCE"),
    ADDADVANCE("ADDAVANCE"),
    INVOICETDS("INVOICETDS"),
    RECEIVABLEREFUND("RECEIVABLEREFUND"),

    // PAYMENTS TYPE
    RECEIVED("RECEIVED"),
    VENDORADVANCE("VENDORADVANCE"),
    PARTIAL("PARTIAL"),
    POADVANCE("POADVANCE"),


    PAYOUTS("PAYOUTS"),
    SETTLED("SETTLED") ;


    String value;

    public String getValue() {
        return value;
    }
}


